summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-06-01 16:01:24 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-06-01 16:10:55 +0200
commit038dbf3ffee6eb901497068b7fc47d32df5ffaae (patch)
treec7161057834446bb5138debae5e6d053bfe81cad /games-strategy
parentUpdate recoll-1.23.3.ebuild (diff)
downloadgentoo-038dbf3ffee6eb901497068b7fc47d32df5ffaae.tar.gz
gentoo-038dbf3ffee6eb901497068b7fc47d32df5ffaae.tar.bz2
gentoo-038dbf3ffee6eb901497068b7fc47d32df5ffaae.zip
games-strategy/wesnoth: Bump to version 1.14.2
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'games-strategy')
-rw-r--r--games-strategy/wesnoth/Manifest1
-rw-r--r--games-strategy/wesnoth/wesnoth-1.14.2.ebuild114
2 files changed, 115 insertions, 0 deletions
diff --git a/games-strategy/wesnoth/Manifest b/games-strategy/wesnoth/Manifest
index 64a3d351e79..2a8b2573b38 100644
--- a/games-strategy/wesnoth/Manifest
+++ b/games-strategy/wesnoth/Manifest
@@ -1,2 +1,3 @@
DIST wesnoth-1.12.6.tar.bz2 387869758 BLAKE2B 53328f8ebbaaabb266064fea57c0d28779183ba1b77ae8522c4dbb01c4a9ad9068d76307b48cec6576648132bf34f9a45efdb93ad36e03d035ed06e84711c9b6 SHA512 12ca3b5de8fd385b05cc8e76604f7aed68127a7542599d6e97cce793e10636e00bd65dcb088701e20ccc7191f41b1d67a00b291f885df880fac00d13d6fbde7a
DIST wesnoth-1.14.1.tar.gz 481355736 BLAKE2B 2cc41a36706919bbc505a9a6726ea9b0fbfd5bfde677da937fdde2645587f4407fb6ed2f7271efaf1763f9ab69a57d153130291d5dc0a79862e554963dd37079 SHA512 0372eb9479d3d24dc4bf692a83fe310d5b4493989f18f0a23070ee19a4bee2672efd38babe1579b08a321e3acba1ede5823376619c8a90102f968e53cc6e3f02
+DIST wesnoth-1.14.2.tar.gz 489041516 BLAKE2B f38f3596edd97096e39ee1e87e13a3d0402d0f9f0f67f25ce1e4a28123abc62ca7b2410c8420a4091d505bf64219cdf92c1cfed562ae2f3705c37685d7c2c20e SHA512 010dcdeaf03d3855192d2480facbfce134459b71acb06515196968dd66b5e1fc40bd75eeeb8b7dd7fc30c9b43af004784d9907893c4b1d61e57436457afc30bb
diff --git a/games-strategy/wesnoth/wesnoth-1.14.2.ebuild b/games-strategy/wesnoth/wesnoth-1.14.2.ebuild
new file mode 100644
index 00000000000..5a1f6c5af2e
--- /dev/null
+++ b/games-strategy/wesnoth/wesnoth-1.14.2.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-utils user
+
+DESCRIPTION="Battle for Wesnoth - A fantasy turn-based strategy game"
+HOMEPAGE="http://www.wesnoth.org
+ https://github.com/wesnoth/wesnoth"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE="dbus dedicated doc fribidi libressl nls openmp server"
+
+RDEPEND="
+ >=dev-libs/boost-1.50:=[nls,threads,icu]
+ >=media-libs/libsdl2-2.0.4:0[joystick,video,X]
+ !dedicated? (
+ dev-libs/glib:2
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ >=media-libs/fontconfig-2.4.1
+ >=media-libs/sdl2-image-2.0.0[jpeg,png]
+ >=media-libs/sdl2-mixer-2.0.0[vorbis]
+ >=media-libs/sdl2-ttf-2.0.12
+ media-libs/libvorbis
+ >=x11-libs/pango-1.22.0
+ >=x11-libs/cairo-1.10.0
+ sys-libs/readline:0
+ dbus? ( sys-apps/dbus )
+ fribidi? ( dev-libs/fribidi )
+ )"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-libs/libX11
+"
+
+pkg_setup() {
+ if use openmp; then
+ tc-has-openmp || die "Please switch to an openmp compatible compiler"
+ fi
+
+ enewgroup ${PN}
+ enewuser ${PN} -1 /bin/bash -1 ${PN}
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ if ! use doc ; then
+ sed -i \
+ -e '/manual/d' \
+ doc/CMakeLists.txt || die
+ fi
+
+ # respect LINGUAS (bug #483316)
+ if [[ ${LINGUAS+set} ]] ; then
+ local langs
+ for lang in $(cat po/LINGUAS)
+ do
+ has $lang $LINGUAS && langs+="$lang "
+ done
+ echo "$langs" > po/LINGUAS || die
+ fi
+}
+
+src_configure() {
+ filter-flags -ftracer -fomit-frame-pointer
+ if [[ $(gcc-major-version) -eq 3 ]] ; then
+ filter-flags -fstack-protector
+ append-flags -fno-stack-protector
+ fi
+
+ # Work around eclass
+ append-flags -UNDEBUG
+
+ if use dedicated || use server ; then
+ mycmakeargs=(
+ -DENABLE_CAMPAIGN_SERVER="ON"
+ -DENABLE_SERVER="ON"
+ -DSERVER_UID="${PN}"
+ -DSERVER_GID="${PN}"
+ -DFIFO_DIR="/run/wesnothd"
+ )
+ else
+ mycmakeargs=(
+ -DENABLE_CAMPAIGN_SERVER="OFF"
+ -DENABLE_SERVER="OFF"
+ )
+ fi
+ mycmakeargs+=(
+ -Wno-dev
+ -DENABLE_GAME="$(usex !dedicated)"
+ -DENABLE_DESKTOP_ENTRY="$(usex !dedicated)"
+ -DENABLE_NLS="$(usex nls)"
+ -DENABLE_NOTIFICATIONS="$(usex dbus)"
+ -DENABLE_FRIBIDI="$(usex fribidi)"
+ -DENABLE_OMP="$(usex openmp)"
+ -DENABLE_STRICT_COMPILATION="OFF"
+ -DCMAKE_INSTALL_PREFIX="/usr"
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ DOCS="README.md changelog.md players_changelog.md" cmake-utils_src_install
+ if use dedicated || use server; then
+ rmdir "${ED%/}/run/wesnothd" || die
+ newinitd "${FILESDIR}"/wesnothd.rc-r1 wesnothd
+ fi
+}